Skip to main content
GET
/
jobs
/
automated
/
{job_id}
JavaScript
import Finch from '@tryfinch/finch-api';

const client = new Finch({
  accessToken: 'My Access Token',
});

const automatedAsyncJob = await client.jobs.automated.retrieve('job_id');

console.log(automatedAsyncJob.job_id);
{
  "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
  "job_url": "https://api.tryfinch.com/job/automated/453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
  "type": "data_sync_all",
  "status": "complete",
  "created_at": "2019-08-24T14:15:22Z",
  "scheduled_at": "2019-08-24T14:15:22Z",
  "started_at": "2019-08-24T14:15:22Z",
  "completed_at": "2019-08-24T14:15:22Z"
}

Authorizations

Authorization
string
header
required

Please use your Access Token

Headers

Finch-API-Version
string<date>
default:2020-09-17
required

Header used to specify the version for a given API request. Current version is 2020-09-17.

Pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
Content-Type
string
default:application/json
required

Used to indicate the original media type of the resource

Path Parameters

job_id
string
required

Response

OK

job_id
string<uuid>

The id of the job that has been created.

job_url
string

The url that can be used to retrieve the job status

type
enum<string>

The type of automated job

Available options:
data_sync_all,
w4_form_employee_sync
status
enum<string>
Available options:
pending,
in_progress,
complete,
error,
reauth_error,
permissions_error
created_at
string<date-time>

The datetime when the job was created. for scheduled jobs, this will be the initial connection time. For ad-hoc jobs, this will be the time the creation request was received.

scheduled_at
string<date-time> | null

The datetime a job is scheduled to be run. For scheduled jobs, this datetime can be in the future if the job has not yet been enqueued. For ad-hoc jobs, this field will be null.

started_at
string<date-time> | null

The datetime a job entered into the job queue.

completed_at
string<date-time> | null

The datetime the job completed.

params
object

The input parameters for the job.